List accessible companies
GET
/v3/partner/company
const url = 'https://sender.api.kivra.com/v3/partner/company';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sender.api.kivra.com/v3/partner/company \ --header 'Authorization: Bearer <token>'List the companies the client has access to
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”field
Array<string>
vat_number
Array<string>
Responses
Section titled “Responses”If vat_number is given, the response will only include companies with VAT numbers in that list. The field parameter controls which properties to include in the response.
Media typeapplication/json
Array<object>
BaseCompanyA company object with basic fields only
object
key
CompanyKey
The key for a company
string
name
CompanyName
The name of a company
string
type
CompanyType
The company’s/organisation’s type
This is currently based on the registry holding the signatory
information. Thus company really means that Bolagsverket is the
registry and includes Ekonomiska föreningar as well. For
riksidrottsförening it is Riksindrottsförbundet.
string
vat_number
VatNumber
A Swedish VAT number (“momsregistreringsnummer”).
string
Example
[ { "key": "156077433683911cdca5fd4563bded979572454cb9", "name": "Cornelias Café AB", "type": "company", "vat_number": "SE556000475501" }]